---
lang: en
title: 'API docs: pooling.poolingservice.acquire'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolingservice.acquire.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolingService](./pooling.poolingservice.md) &gt; [acquire](./pooling.poolingservice.acquire.md)

## PoolingService.acquire() method

Acquire a new instance

**Signature:**

```typescript
acquire(requestCtx?: Context): Promise<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  requestCtx | [Context](./context.context.md) | _(Optional)_ Optional request context, default to the owning context |

**Returns:**

Promise&lt;T&gt;


